pptp-connection.cpp File Reference
`#include <connectivityqt/pptp-connection.h>`
`#include <connectivityqt/internal/dbus-property-cache.h>`
`#include <dbus-types.h>`
`#include <PptpConnectionInterface.h>`
`#include "pptp-connection.moc"`
Include dependency graph for pptp-connection.cpp:

## Namespaces

namespace | connectivityqt

## Macros

#define | DEFINE_PROPERTY_GETTER(name, strname, type, conversion)
#define | DEFINE_PROPERTY_GETTER_ENUM(name, strname, type)
#define | DEFINE_PROPERTY_SETTER(uppername, strname, type)
#define | DEFINE_PROPERTY_SETTER_ENUM(uppername, strname, type)
#define | DEFINE_PROPERTY_UPDATE(varname, strname, conversion)
#define | DEFINE_PROPERTY_UPDATE_ENUM(varname, strname, type)

## Macro Definition Documentation

## DEFINE_PROPERTY_GETTER

#define DEFINE_PROPERTY_GETTER | ( |  | name,
|  |  | strname,
|  |  | type,
|  |  | conversion
| ) |  |

Value:
type PptpConnection::name() const\
{\
return d->m_propertyCache->get(strname).conversion();\
}\

## DEFINE_PROPERTY_GETTER_ENUM

#define DEFINE_PROPERTY_GETTER_ENUM | ( |  | name,
|  |  | strname,
|  |  | type
| ) |  |

Value:
PptpConnection::type PptpConnection::name() const\
{\
return static_cast<type>(d->m_propertyCache->get(strname).toInt());\
}

## DEFINE_PROPERTY_SETTER

#define DEFINE_PROPERTY_SETTER | ( |  | uppername,
|  |  | strname,
|  |  | type
| ) |  |

Value:
void PptpConnection::set##uppername(type value)\
{\
d->m_propertyCache->set(strname, value);\
}

## DEFINE_PROPERTY_SETTER_ENUM

#define DEFINE_PROPERTY_SETTER_ENUM | ( |  | uppername,
|  |  | strname,
|  |  | type
| ) |  |

Value:
void PptpConnection::set##uppername(type value)\
{\
d->m_propertyCache->set(strname, static_cast<int>(value));\
}

## DEFINE_PROPERTY_UPDATE

#define DEFINE_PROPERTY_UPDATE | ( |  | varname,
|  |  | strname,
|  |  | conversion
| ) |  |

Value:
else if (name == strname)\
{\
Q_EMIT p.varname##Changed(value.conversion());\
}

## DEFINE_PROPERTY_UPDATE_ENUM

#define DEFINE_PROPERTY_UPDATE_ENUM | ( |  | varname,
|  |  | strname,
|  |  | type
| ) |  |

Value:
else if (name == strname)\
{\
Q_EMIT p.varname##Changed(static_cast<type>(value.toInt()));\
}